Bug 142796 - Problem dealing with IBM L200p monitor
Problem dealing with IBM L200p monitor
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
3
i686 Linux
medium Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
: Triaged
Depends On:
Blocks: FC4Target
  Show dependency treegraph
 
Reported: 2004-12-14 01:32 EST by Graham freeman
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-11 04:53:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Log file from X windows (59.40 KB, text/plain)
2004-12-14 01:36 EST, Graham freeman
no flags Details
Log file generated by X windows initialization (55.13 KB, text/plain)
2005-02-08 01:03 EST, Graham freeman
no flags Details

  None (edit)
Description Graham freeman 2004-12-14 01:32:22 EST
Description of problem:
The installation proceeds without problem until after being prompted
for desired resolution.  The IBM L200p monitor is designed to run at
1600x1200.  If I select this (or 1280x1024), the screen goes black and
I get the message from the monitor hardware "Input signal out of
range".  I am only able to run X Windows at 800x600 resolution.  I
tried editing the X config file, adding better resolutions, but again
the screen went black.

Version-Release number of selected component (if applicable):


Additional info:
Comment 1 Graham freeman 2004-12-14 01:36:00 EST
Created attachment 108497 [details]
Log file from X windows
Comment 2 Mike A. Harris 2005-01-31 22:41:19 EST
Please upgrade to the latest xorg-x11 available in Rawhide, which
has a number of i810 driver fixes and enhancements.  If the problem
persists using 6.8.1.903 or later, please file a bug report in the
X.Org bugzilla at http://bugs.freedesktop.org detailing the problem,
and attaching your X server log, config file to the X.org bug
report.

Once you've filed your bug report in X.Org's bug tracker, if you
paste the URL here, Red Hat will track the issue in the upstream
tracker and review any fixes that become available for consideration
in a future update.
Comment 3 Mike A. Harris 2005-01-31 22:48:36 EST
Setting to "NEEDINFO" and awaiting upstream bug URL and feedback of
test results of using rawhide xorg-x11.
Comment 4 Graham freeman 2005-02-08 01:03:37 EST
Created attachment 110782 [details]
Log file generated by X windows initialization

Version 6.8.1.904 of xorg displays the same symptoms as the earlier version. 
Resolution 800x600 is the only one that does not give the message "Imput signal
out of range".
Comment 5 Mike A. Harris 2005-03-22 13:41:06 EST
Does 6.8.2 in fc3-testing improve the situation at all?
Comment 6 Graham freeman 2005-03-22 16:52:42 EST
(In reply to comment #5)
> Does 6.8.2 in fc3-testing improve the situation at all?

I was referred to the xorg site and bugzilla, from where I installed 6.8.1.903.
 Although that did not fix the problem, I was advised to hand edit the xorg.conf
file.  Apparently this LCD monitor requires 
	VertRefresh  60.0
in Section Monitor, rather than the range 56-85.  With this configuration
change, X Windows now works fine at release 6.8.1.903.

Thanks for the help.
Comment 7 Mike A. Harris 2005-04-11 04:53:33 EDT
Ok thanks..  updating status.

Note You need to log in before you can comment on or make changes to this bug.